package com.yinet.review.domain;

import com.yinet.common.annotation.Excel;
import com.yinet.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 评审项目对象 form_review
 * 
 * @author yinet
 * @date 2020-04-28
 */
public class FormReview extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** null */
    private Long id;

    /** 项目编号 */
    @Excel(name = "项目编号")
    private Long number;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectname;

    /** 项目内容 */
    @Excel(name = "项目内容")
    private String projectcontent;

    /** 委托日期 */
    @Excel(name = "委托日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date entrustdate;

    /** 工作完成时限 */
    @Excel(name = "工作完成时限")
    private String limitdate;

    /** 送审类别 */
    @Excel(name = "送审类别")
    private String category;

    /** 委托额 */
    @Excel(name = "委托额")
    private String entrustmoney;

    /** 送审金额 */
    @Excel(name = "送审金额")
    private String reviewmoney;

    /** 审定金额 */
    @Excel(name = "审定金额")
    private String reviewapprovalmoney;

    /** 审减率 */
    @Excel(name = "审减率")
    private String reviewrate;

    /** 项目负责人 */
    @Excel(name = "项目负责人")
    private String projecthead;

    /** 项目单位 */
    @Excel(name = "项目单位")
    private String projectunit;

    /** 联系人 */
    @Excel(name = "联系人")
    private String lianxiren;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String phone;

    /** 中介机构名称 */
    @Excel(name = "中介机构名称")
    private String mediationname;

    /** 中介机构电话 */
    @Excel(name = "中介机构电话")
    private String mediationphone;

    /** 添加时间 */
    @Excel(name = "添加时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date addtime;

    /** 添加人账号id */
    @Excel(name = "添加人账号id")
    private Long adduserid;

    /** 添加人账号名 */
   @Excel(name = "添加人账号名")
    private String addname;

    /** 修改时间 */
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date modifytime;

    /** 修改人ID */
    @Excel(name = "修改人ID")
    private Long modifyuserid;

    /** 修改人账号名称 */
  //  @Excel(name = "修改人账号名称")
    private String modifyname;

    /** 是否删除 */
   // @Excel(name = "是否删除")
    private String deleteproject;

    /** 删除日期 */
    //@Excel(name = "删除日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date deletedate;

    /** 删除原因 */
    //@Excel(name = "删除原因")
    private String deletecontent;

    /** 删除人id */
   // @Excel(name = "删除人id")
    private Long deleteuserid;

    /** 删除人账号名称 */
   // @Excel(name = "删除人账号名称")
    private String deletename;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setNumber(Long number) 
    {
        this.number = number;
    }

    public Long getNumber() 
    {
        return number;
    }
    public void setProjectname(String projectname) 
    {
        this.projectname = projectname;
    }

    public String getProjectname() 
    {
        return projectname;
    }
    public void setProjectcontent(String projectcontent) 
    {
        this.projectcontent = projectcontent;
    }

    public String getProjectcontent() 
    {
        return projectcontent;
    }
    public void setEntrustdate(Date entrustdate) 
    {
        this.entrustdate = entrustdate;
    }

    public Date getEntrustdate() 
    {
        return entrustdate;
    }
    public void setLimitdate(String limitdate) 
    {
        this.limitdate = limitdate;
    }

    public String getLimitdate() 
    {
        return limitdate;
    }
    public void setCategory(String category) 
    {
        this.category = category;
    }

    public String getCategory() 
    {
        return category;
    }
    public void setEntrustmoney(String entrustmoney) 
    {
        this.entrustmoney = entrustmoney;
    }

    public String getEntrustmoney() 
    {
        return entrustmoney;
    }
    public void setReviewmoney(String reviewmoney) 
    {
        this.reviewmoney = reviewmoney;
    }

    public String getReviewmoney() 
    {
        return reviewmoney;
    }
    public void setReviewapprovalmoney(String reviewapprovalmoney) 
    {
        this.reviewapprovalmoney = reviewapprovalmoney;
    }

    public String getReviewapprovalmoney() 
    {
        return reviewapprovalmoney;
    }
    public void setReviewrate(String reviewrate) 
    {
        this.reviewrate = reviewrate;
    }

    public String getReviewrate() 
    {
        return reviewrate;
    }
    public void setProjecthead(String projecthead) 
    {
        this.projecthead = projecthead;
    }

    public String getProjecthead() 
    {
        return projecthead;
    }
    public void setProjectunit(String projectunit) 
    {
        this.projectunit = projectunit;
    }

    public String getProjectunit() 
    {
        return projectunit;
    }
    public void setLianxiren(String lianxiren) 
    {
        this.lianxiren = lianxiren;
    }

    public String getLianxiren() 
    {
        return lianxiren;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setMediationname(String mediationname) 
    {
        this.mediationname = mediationname;
    }

    public String getMediationname() 
    {
        return mediationname;
    }
    public void setMediationphone(String mediationphone) 
    {
        this.mediationphone = mediationphone;
    }

    public String getMediationphone() 
    {
        return mediationphone;
    }
    public void setAddtime(Date addtime) 
    {
        this.addtime = addtime;
    }

    public Date getAddtime() 
    {
        return addtime;
    }
    public void setAdduserid(Long adduserid) 
    {
        this.adduserid = adduserid;
    }

    public Long getAdduserid() 
    {
        return adduserid;
    }
    public void setAddname(String addname) 
    {
        this.addname = addname;
    }

    public String getAddname() 
    {
        return addname;
    }
    public void setModifytime(Date modifytime) 
    {
        this.modifytime = modifytime;
    }

    public Date getModifytime() 
    {
        return modifytime;
    }
    public void setModifyuserid(Long modifyuserid) 
    {
        this.modifyuserid = modifyuserid;
    }

    public Long getModifyuserid() 
    {
        return modifyuserid;
    }
    public void setModifyname(String modifyname) 
    {
        this.modifyname = modifyname;
    }

    public String getModifyname() 
    {
        return modifyname;
    }
    public void setDeleteproject(String deleteproject) 
    {
        this.deleteproject = deleteproject;
    }

    public String getDeleteproject() 
    {
        return deleteproject;
    }
    public void setDeletedate(Date deletedate) 
    {
        this.deletedate = deletedate;
    }

    public Date getDeletedate() 
    {
        return deletedate;
    }
    public void setDeletecontent(String deletecontent) 
    {
        this.deletecontent = deletecontent;
    }

    public String getDeletecontent() 
    {
        return deletecontent;
    }
    public void setDeleteuserid(Long deleteuserid) 
    {
        this.deleteuserid = deleteuserid;
    }

    public Long getDeleteuserid() 
    {
        return deleteuserid;
    }
    public void setDeletename(String deletename) 
    {
        this.deletename = deletename;
    }

    public String getDeletename() 
    {
        return deletename;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("number", getNumber())
            .append("projectname", getProjectname())
            .append("projectcontent", getProjectcontent())
            .append("entrustdate", getEntrustdate())
            .append("limitdate", getLimitdate())
            .append("category", getCategory())
            .append("entrustmoney", getEntrustmoney())
            .append("reviewmoney", getReviewmoney())
            .append("reviewapprovalmoney", getReviewapprovalmoney())
            .append("reviewrate", getReviewrate())
            .append("projecthead", getProjecthead())
            .append("projectunit", getProjectunit())
            .append("lianxiren", getLianxiren())
            .append("phone", getPhone())
            .append("mediationname", getMediationname())
            .append("mediationphone", getMediationphone())
            .append("addtime", getAddtime())
            .append("adduserid", getAdduserid())
            .append("addname", getAddname())
            .append("modifytime", getModifytime())
            .append("modifyuserid", getModifyuserid())
            .append("modifyname", getModifyname())
            .append("deleteproject", getDeleteproject())
            .append("deletedate", getDeletedate())
            .append("deletecontent", getDeletecontent())
            .append("deleteuserid", getDeleteuserid())
            .append("deletename", getDeletename())
            .toString();
    }
}
